Skip to content

organizations.createOrganization

POST
/v1/organizations
curl --request POST \
--url https://example.com/v1/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example" }'

Creates an organization. You become its Super Administrator. The platform settings say who can do this.

Media typeapplication/json
object
name
required
string
>= 1 characters <= 120 characters

Example generated

{
"name": "example"
}

Success

Media typeapplication/json
object
id
required
string
name
required
string
status
required
string
Allowed values: active suspended
createdAt
required
string

Example

{
"status": "active"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

OrganizationCreationDisabled | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: OrganizationCreationDisabled

Example

{
"_tag": "OrganizationCreationDisabled"
}

OrganizationStorageUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: OrganizationStorageUnavailable

Example

{
"_tag": "OrganizationStorageUnavailable"
}